/*
 * The CERN Tape Archive (CTA) project
 * Copyright (C) 2019  CERN
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "Statistics.hpp"


namespace cta { namespace statistics {
  
class StatisticsService {
public:
  StatisticsService();
  StatisticsService(const StatisticsService& orig) = delete;
  StatisticsService & operator=(const StatisticsService &) = delete;
  virtual ~StatisticsService();
  
  virtual void updateStatistics() = 0;
  virtual void saveStatistics(const cta::statistics::Statistics &statistics) = 0;
  virtual std::unique_ptr<cta::statistics::Statistics> getStatistics() = 0;
  uint64_t getNbUpdatedTapes();
  
protected:
  uint64_t m_nbUpdatedTapes = 0;
};

}}

